Bug 519718 - Unknown chipset for RV7XX microcode
Summary: Unknown chipset for RV7XX microcode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 14:37 UTC by John Reiser
Modified: 2009-10-06 14:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 14:05:53 UTC


Attachments (Terms of Use)
Xorg.0.log (102.84 KB, text/plain)
2009-08-27 14:39 UTC, John Reiser
no flags Details
part of /var/log/messages with drm complaints (21.76 KB, text/plain)
2009-08-29 14:58 UTC, John Reiser
no flags Details

Description John Reiser 2009-08-27 14:37:48 UTC
Description of problem: During boot the VGA console and /var/log/messages complain of unknown RV7XX microcode.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.0-0.2.20090821gitb1b77a4d6.fc12.i686
kernel-2.6.31-0.174.rc7.git2.fc12.i686.PAE

How reproducible: always


Steps to Reproduce:
1. boot to multi-user mode
2.
3.
  
Actual results: from /var/log/messages:
[drm] Initialized drm 1.1.0 20060810
[drm] radeon default to kernel modesetting.
[drm] radeon kernel modesetting enabled.
[drm] radeon: Initializing kernel modesetting.
[drm] register mmio base: 0xFE8E0000
[drm] register mmio size: 65536
[drm] Clocks initialized !
[drm] radeon: 512M of VRAM memory ready
[drm] radeon: 512M of GTT memory ready.
[drm] GART: num cpu pages 131072, num gpu pages 131072
[drm] Loading RV710 PFP Microcode
[drm] Loading RV710 CP Microcode
[drm:rv770_cp_load_microcode] *ERROR* Unknown chipset for RV7XX microcode
[drm:radeon_driver_load_kms] *ERROR* Failed to initialize radeon, disabling IOCTL
[drm] radeon: finishing device.
[drm] radeon: fence finalized
[drm] radeon: ttm finalized


Expected results: no complaint


Additional info:
$ lspci
01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4550]
01:00.1 Audio device: ATI Technologies Inc R700 Audio Device [Radeon HD 4000 Series]
$ lspci -n
01:00.0 0300: 1002:9540
01:00.1 0403: 1002:aa38
$lspci -v
01:00.0 VGA compatible controller: ATI Technologies Inc RV710 [Radeon HD 4550] (prog-if 00 [VGA controller])
	Subsystem: PC Partner Limited Device e970
	Flags: fast devsel, IRQ 16
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at fe8e0000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at c000 [size=256]
	Expansion ROM at fe8c0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel modules: radeon

01:00.1 Audio device: ATI Technologies Inc R700 Audio Device [Radeon HD 4000 Series]
	Subsystem: PC Partner Limited Device aa38
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at fe8fc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

Comment 1 John Reiser 2009-08-27 14:39:38 UTC
Created attachment 358881 [details]
Xorg.0.log

Comment 2 Adam Jackson 2009-08-27 18:59:06 UTC
Wow, that's a fantastic bug.

Should be fixed in 2.6.31-0.183.rc7.git5 or later.

Comment 3 John Reiser 2009-08-29 14:56:56 UTC
It has re-appeared, and also is worse.  Now there is no graphics and no VGA (and no VT2) at all for multiuser login.  Also, at boot the VGA console has a couple dozen lines in yellow that look ominous.  I will attach the relevant portion of /var/log/messages.  Perhaps the best summary is:
-----
[drm:radeon_ring_test] *ERROR* radeon: ring test failed (sracth(0x15E4)=0x00000000)
  <<ship>>
fb: conflicting fb hw usage radeondrmfb vs VESA VGA - removing generic driver
-----

Comment 4 John Reiser 2009-08-29 14:58:17 UTC
Created attachment 359156 [details]
part of /var/log/messages with drm complaints

Linux version 2.6.31-0.190.rc8.fc12.i686.PAE (mockbuild@x86-6.fedora.phx.redhat.com) (gcc version 4.4.1 20090818 (Red Hat 4.4.1-6) (GCC) ) #1 SMP Fri Aug 28 18:51:47 EDT 2009

Comment 5 Dave Airlie 2009-10-06 08:31:01 UTC
can you retest with a newer kernel?

Comment 6 John Reiser 2009-10-06 14:05:53 UTC
The problem no longer appears Linux version 2.6.31.1-56.fc12.i686.PAE #1 SMP Tue Sep 29 16:16:16 EDT 2009 i686 i686 i386 GNU/Linux.


Note You need to log in before you can comment on or make changes to this bug.